<template>
  <div class="app-container">
    <form-search
      :searchformShow="{
        userSubject: '',
        gradeid: '',
        semester: '',
        exam: '',
      }"
      @handleQuery="handleQuery"
      @resetQuery="resetQuery"
    ></form-search>
    <evaluation-title
      title="测评试卷"
      :subTitle="`共有${total}个内容`"
    ></evaluation-title>
    <el-row :gutter="10">
      <el-col
        class="evaluation-card-wrapper"
        v-for="item in dataList"
        :key="item.evaluationId"
        :xs="12"
        :sm="8"
        :md="8"
        :lg="6"
        :xl="6"
      >
        <evaluation-card
          @click.native="detail(item)"
          :title="item.name"
          :subTitle="item.subjectName"
          :stateOptions="mxGlobal.MergeEvalInspectionStates(item.stateStr)"
          :state="item.stateStr"
          :proportion="`${item.valid}/${item.total}`"
        ></evaluation-card>
      </el-col>
    </el-row>
    <pagination
      v-show="total > 0"
      :total="total"
      :page.sync="queryParams.pageNum"
      :limit.sync="queryParams.pageSize"
      :page-size="20"
      @pagination="getList"
    />
    <evaluation-empty v-if="total == 0" />
  </div>
</template>

<script>
import { getEvaluationListForTeacher } from "@/api/webApi/studentEvaluating";
import Treeselect from "@riophae/vue-treeselect";
import "@riophae/vue-treeselect/dist/vue-treeselect.css";
import IconSelect from "@/components/IconSelect";

export default {
  name: "Menu",
  components: { Treeselect, IconSelect },
  data() {
    return {
      total: 0,

      // 遮罩层
      loading: true,
      // 显示状态数据字典
      visibleOptions: [],
      // 菜单状态数据字典
      statusOptions: [],
      // 查询参数
      queryParams: {
        classId: "",
        catalogId: "",
        pageNum: 1,
        pageSize: 20,
      },
      dataList: [],
    };
  },
  created() {
    this.handleQuery();
  },
  methods: {
    detail(item) {
      this.$router.push({
        path: "/accurateTeaching/evaluating/inspection/class",
        query: { evaluationId: item.evaluationId, evaluationName: item.name },
      });
    },
    // 选择图标
    selected(name) {
      this.form.icon = name;
    },
    /** 测评列表 */
    getList() {
      this.loading = true;
      getEvaluationListForTeacher(this.queryParams)
        .then((response) => {
          this.dataList = response.rows;
          this.total = response.total;
          this.loading = false;
        })
        .catch((err) => {
          this.loading = false;
        });
    },
    // 表单重置
    reset() {
      this.form = {};
      this.resetForm("form");
    },
    /** 搜索按钮操作 */
    handleQuery(data = {}) {
      this.queryParams.pageNum = 1;
      this.queryParams.gradeId = data.gradeid || "";
      this.queryParams.subjectId = data.userSubject || "";
      this.queryParams.termId = data.semester || "";
      this.queryParams.typeId = data.exam || "";
      this.getList();
    },
    handleSizeChange(val) {
      console.log(`每页 ${val} 条`);
    },
    handleCurrentChange(val) {
      console.log(`当前页: ${val}`);
    },
    /** 重置按钮操作 */
    resetQuery() {
      // this.resetForm("queryForm");
      // this.handleQuery();

      this.queryParams = {
        pageNum: 1,
        pageSize: 20,
      };
      this.handleQuery();
    },
  },
};
</script>
